
QGIS Application - Bug report #3915

QgsSingleSymbolRenderer::operator= must return a value

2006-03-24 01:33 PM - Mateusz Loskot -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13939

Description

Assignment operator should return a value. In class QgsSingleSymbolRenderer the operator= does not return value. It may cause

problems.

History

#1 - 2006-04-07 08:29 PM - Gavin Macaulay -

- Resolution set to fixed

- Status changed from Open to Closed

Applied in commit:d2b74ca7 (SVN r5061)

#2 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted

Files

gui-qgssinglesymbolrenderer.cpp-mloskot-20060314.patch 576 Bytes 2006-03-24 Mateusz Loskot -
